## org.eclipse.emf.ecoretools.tabbedproperties
Class AbstractTabbedPropertySheetPage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage
              org.eclipse.emf.ecoretools.tabbedproperties.AbstractTabbedPropertySheetPage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.viewers.ILabelProviderListener, org.eclipse.ui.ISelectionListener, org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage, org.eclipse.ui.views.properties.IPropertySheetPage

    public class AbstractTabbedPropertySheetPage

extends org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage

The property sheet page to implement to provide the tabbed UI. Creation 4 august 06 Last Modified 17 august 06

Field Summary

Fields inherited from class org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage
`tabListContentProvider`

Constructor Summary
`AbstractTabbedPropertySheetPage(org.eclipse.ui.views.properties.tabbed.ITabbedPropertySheetPageContributor tabbedPropertySheetPageContributor)`

Method Summary
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `createAdapterFactory()` This method creates the ComposedAdapterFactory that groups all the factories used by the editor.
`protected java.util.List<? extends org.eclipse.emf.common.notify.AdapterFactory>` `getAdapterFactories()` This method could be overridden to add specific factories before those.
`org.eclipse.emf.common.notify.AdapterFactory` `getAdapterFactory()` Get the EMF AdapterFactory from a workbench part.
`static java.util.List<? extends org.eclipse.emf.common.notify.AdapterFactory>` `getPrincipalAdapterFactories()` This method creates a list of factories used by the editor.
`void` `selectionChanged(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage
`addTabSelectionListener, createControl, createTab, dispose, getActiveTabs, getControl, getCurrentTab, getSelectedTab, getTabListContentProvider, getTitleImage, getTitleText, getWidgetFactory, handlePartActivated, labelProviderChanged, overrideTabs, refresh, removeTabSelectionListener, resizeScrolledComposite, setActionBars, setFocus, setSelectedTab, updateTabs`

Methods inherited from class org.eclipse.ui.part.Page
`getSite, init, makeContributions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTabbedPropertySheetPage

    public AbstractTabbedPropertySheetPage(org.eclipse.ui.views.properties.tabbed.ITabbedPropertySheetPageContributor tabbedPropertySheetPageContributor)

See Also:
  `TabbedPropertySheetPage.TabbedPropertySheetPage(ITabbedPropertySheetPageContributor)`

Method Detail

### getPrincipalAdapterFactories

    public static java.util.List<? extends org.eclipse.emf.common.notify.AdapterFactory> getPrincipalAdapterFactories()

  This method creates a list of factories used by the editor.
  Resource, Ecore, GenModel, and Reflective adapter factories are added here

  Returns:
    the factories' list

### createAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory createAdapterFactory()

  This method creates the ComposedAdapterFactory that groups all the factories used by the editor.

  Returns:
    the multi-factory

### getAdapterFactory

    public org.eclipse.emf.common.notify.AdapterFactory getAdapterFactory()

  Get the EMF AdapterFactory from a workbench part.

  Returns:
    the EMF AdapterFactory from a workbench part.

### selectionChanged

    public void selectionChanged(org.eclipse.ui.IWorkbenchPart part,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.ISelectionListener`
  Overrides:
    `selectionChanged` in class `org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetPage`
  See Also:
    `ISelectionListener.selectionChanged(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

### getAdapterFactories

    protected java.util.List<? extends org.eclipse.emf.common.notify.AdapterFactory> getAdapterFactories()

  This method could be overridden to add specific factories before those.

  Returns:
    List a list where contents are of type AdapterFactory

Copyright 2007 Anyware Technologies. All Rights Reserved.